## GnomeDbCanvasQueryStruct

GnomeDbCanvasQueryStruct —

## Synopsis

                GnomeDbCanvasQueryStruct;
    GType       gnome_db_canvas_query_struct_get_type
                                                (void);
    GtkWidget*  gnome_db_canvas_query_struct_new
                                                (GnomeDbQuery *query,
                                                 GnomeDbGraph *graph);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkLayout
                               +----GnomeCanvas
                                     +----GnomeDbCanvas
                                           +----GnomeDbCanvasQueryStruct

## Implemented Interfaces

GnomeDbCanvasQueryStruct implements AtkImplementorIface.

## Description

## Details

### GnomeDbCanvasQueryStruct

    typedef struct _GnomeDbCanvasQueryStruct GnomeDbCanvasQueryStruct;

### gnome_db_canvas_query_struct_get_type ()

    GType       gnome_db_canvas_query_struct_get_type
                                                (void);

Returns : |

### gnome_db_canvas_query_struct_new ()

    GtkWidget*  gnome_db_canvas_query_struct_new
                                                (GnomeDbQuery *query,
                                                 GnomeDbGraph *graph);

Creates a new canvas widget to display the targets and joins of `query`

`graph` contains all the targets's graphical representations and their respective locations on the canvas, or can be `NULL` (in which case nothing is displayed)

`query` : | a GnomeDbQuery object
`graph` : | a GnomeDbGraph object, or `NULL`
Returns : | a new GnomeDbCanvasQueryStruct widget